:root {
    --fuenteHeading: 'PT Sans', sans-serif;
    --fuenteParrafos: 'Open Sans', sans-serif;
    --primario: #784d3c;
    --gris: #e1e1e1;
    --blanco: #fff;
    --negro: #000;

}

html {
    box-sizing: border-box;
    font-size: 62.5%; /* 1rem = 10px */
}

*, *:before, *:after {
    box-sizing: inherit;
}

body {
    font-family: var(--fuenteParrafos);
    font-size: 1.6rem;
    line-height: 2;
}

/* Globales */

.contenedor {
    max-width: 120rem;
    margin: 0 auto;
    width: 90%;
}

a {
    text-decoration: none;
}

h1, h2, h3, h4 {
    font-family: var(--fuenteHeading);
    line-height: 1.2;
}

h1 {
    font-size: 4.8rem;
}

h2 {
    font-size: 4rem;
}

h3 {
    font-size: 3.2rem;
}

h4 {
    font-size: 2.6rem;
}

img {
    max-width: 100%;
}

/* Utilidades */

.no-margin {
    margin: 0;
}

.no-padding {
    padding: 0;
}

.centrar-texto {
    text-align: center;
}

/*Header*/
.header {
    background-image: url(../img/banner.jpg);
    height: 45rem;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center center;
    padding-top: 3rem;
}

.header__texto {
    color: var(--blanco);
    text-align: center;
    margin-top: 5rem;
}

@media (min-width: 768px) {
    .barra {
        display:flex;
        justify-content: space-between;
        align-items: center;
    }
}

.logo {
    color: var(--blanco);
}

.logo__nombre {
    font-weight: 400;
}

.logo__bold {
    font-weight: 700;
}

@media (min-width: 768px) {
    .navegacion {
        display: flex;
        gap: 2rem;
    }
}

.navegacion__enlace {
    display: block;
    text-align: center;
    font-size: 1.8rem;
    color: var(--blanco);
}

@media (min-width: 768px) {
    .contenido-principal {
        display: grid;
        grid-template-columns: 2fr 1fr;
        column-gap: 4rem;
    }
}

.entrada {
    border-bottom: 1px solid var(--gris);
    margin-bottom: 2rem;
}

.entrada:last-of-type {
    border: none;
}

.boton {
    display: block;
    font-family: var(--fuenteHeading);
    color: var(--blanco);
    text-align: center;
    padding: 1rem 3rem;
    font-size: 1.8rem;
    text-transform: uppercase;
    font-weight: 700;
    margin-bottom: 2rem;
    border: none;
}

@media (min-width: 768px) {
    .boton {
        display: inline-block;
        margin-bottom: 2rem;
    }
}
.boton:hover {
    cursor:pointer;
}
.boton--primario {
    background-color: var(--negro);
}

.boton--secundario {
    background-color: var(--primario);
}

.cursos {
    list-style: none;
}

.widget-curso {
    border-bottom: 1px solid var(--gris);
    margin-bottom: 2rem;
}

.widget-curso:last-of-type {
    border: none;
    margin-bottom: 0;
}

.widget-curso__label {
    font-family: var(--fuenteHeading);
    font-weight: 700;
}

.widget-curso__info {
    font-weight: 400;
}

.widget-curso__info, 
.widget-curso__label {
    font-size: 2rem;
}

.footer {
    background-color: #000;
    color: var(--blanco);
    padding: 3rem;
}

.contenedor-footer {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 2rem;
}

/*Sobre Nosotros*/

@media (min-width: 768px) {
    .sobre-nosotros {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        align-items: center;
        gap: 2rem;
        margin: 3rem;
    }
}

@media (min-width: 768px) {
    .curso {
        display: grid;
        grid-template-columns: 1fr 2fr;
        column-gap: 2rem;
    }     
}

.curso__label {
    font-family: var(--fuenteHeading);
    font-weight: bold;
}

.curso__info {
    font-weight: normal;
}

.curso__info, 
.curso__label {
    font-size: 2rem;
}

/*Contacto*/
.contacto-bg {
    background-image: url(/img/contacto.jpg);
    height: 40rem;
    background-size: cover;
    background-repeat: no-repeat;
}

.formulario {
    background-color: var(--blanco);
    margin: -5rem auto 0 auto;
    width: 95%;
    padding: 5rem;
}

.campo {
    display: flex;
    margin-bottom: 2rem;
}

.campo__label {
    flex: 0 0 9rem;
    text-align: right;
    padding-right: 2rem;
}

.campo__field {
    flex: 1;
    border: 1px solid var(--gris);
}

.campo__field--textarea {
    height: 20rem;
}